Bug 675711 - ICE: in queue_insn, at haifa-sched.c:1322
Summary: ICE: in queue_insn, at haifa-sched.c:1322
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: rawhide
Hardware: s390x
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-07 13:41 UTC by Dan Horák
Modified: 2011-02-16 01:30 UTC (History)
2 users (show)

Fixed In Version: gcc-4.6.0-0.7.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-10 13:10:43 UTC
Type: ---


Attachments (Terms of Use)
preprocessed source (614.03 KB, application/octet-stream)
2011-02-07 13:41 UTC, Dan Horák
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNU Compiler Collection 47620 0 None None None Never

Description Dan Horák 2011-02-07 13:41:05 UTC
Created attachment 477412 [details]
preprocessed source

gcc-4.6.0-0.6.fc15 fails to build on s390x with gcc-4.6.0-0.5.fc15 in the buildroot.

/builddir/build/BUILD/gcc-4.6.0-20110205/obj-s390x-redhat-linux/./prev-gcc/xgcc -B/builddir/build/BUILD/gcc-4.6.0-20110205/obj-s390x-redhat-linux/./prev-gcc/ -B/usr/s390x-redhat-linux/bin/ -B/usr/s390x-redhat-linux/bin/ -B/usr/s390x-redhat-linux/lib/ -isystem /usr/s390x-redhat-linux/include -isystem /usr/s390x-redhat-linux/sys-include    -c   -O2 -g -Wall -fexceptions -fstack-protector --param=ssp-buffer-size=4 -march=z9-109 -mtune=z10 -fprofile-use -DIN_GCC   -W -Wall -Wwrite-strings -Wcast-qual -Wstrict-prototypes -Wmissing-prototypes -Wmissing-format-attribute -pedantic -Wno-long-long -Wno-variadic-macros -Wno-overlength-strings -Wold-style-definition -Wc++-compat   -DHAVE_CONFIG_H -I. -I. -I../../gcc -I../../gcc/. -I../../gcc/../include -I../../gcc/../libcpp/include  -I../../gcc/../libdecnumber -I../../gcc/../libdecnumber/dpd -I../libdecnumber    ../../gcc/cfganal.c -o cfganal.o
../../gcc/cfganal.c: In function 'set_edge_can_fallthru_flag':
../../gcc/cfganal.c:276:1: internal compiler error: in queue_insn, at haifa-sched.c:1322

see http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=301455 for more details

Comment 1 Karsten Hopp 2011-02-07 18:40:44 UTC
The same on PPC:
http://ppc.koji.fedoraproject.org/koji/getfile?taskID=127997&name=build.log

Comment 2 Jakub Jelinek 2011-02-10 13:10:43 UTC
Tracked upstream as PR47620.

Comment 3 Fedora Update System 2011-02-13 21:48:30 UTC
gcc-4.6.0-0.7.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gcc-4.6.0-0.7.fc15

Comment 4 Fedora Update System 2011-02-16 01:29:42 UTC
gcc-4.6.0-0.7.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.